Package tigase.kernel.beans.config

# Enum Class ConfigFieldType

java.lang.Object
java.lang.Enum<ConfigFieldType>
tigase.kernel.beans.config.ConfigFieldType

All Implemented Interfaces:
  `Serializable`, `Comparable<ConfigFieldType>`, `Constable`

public enum ConfigFieldType extends Enum<ConfigFieldType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `JdbcUrl`
  `Password`
  `Plain`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConfigFieldType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ConfigFieldType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Plain

    public static final ConfigFieldType Plain

  - ### Password

    public static final ConfigFieldType Password

  - ### JdbcUrl

    public static final ConfigFieldType JdbcUrl

- ## Method Details

  - ### values

    public static ConfigFieldType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ConfigFieldType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null